curl --request POST \
--url https://api.powertokens.ai/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan2.7-r2v",
"prompt": "Have the character wave to the camera and walk forward slowly.",
"seconds": "5",
"size": "1080P",
"subject_reference": [
{
"type": "character",
"image": [
"https://example.com/assets/subject-reference.png"
]
}
]
}
'{
"id": "<string>",
"task_id": "<string>",
"object": "video",
"model": "<string>",
"status": "pending",
"progress": 123,
"created_at": 123
}For Wan reference-to-video models. The current project implementation exposes Ali wan2.7-r2v. After submission, query task status with GET /v1/videos/{task_id}.
Public fields: model, subject_reference, prompt, seconds, size, prompt_extend, watermark, and seed. subject_reference must not be mixed with image or images.
curl --request POST \
--url https://api.powertokens.ai/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan2.7-r2v",
"prompt": "Have the character wave to the camera and walk forward slowly.",
"seconds": "5",
"size": "1080P",
"subject_reference": [
{
"type": "character",
"image": [
"https://example.com/assets/subject-reference.png"
]
}
]
}
'{
"id": "<string>",
"task_id": "<string>",
"object": "video",
"model": "<string>",
"status": "pending",
"progress": 123,
"created_at": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Wan reference-to-video model. The current project implementation exposes wan2.7-r2v.
wan2.7-r2v Subject reference input. Must not be mixed with image or images.
Show child attributes
Text prompt describing desired video content. Supports Chinese and English, max 800 characters.
Video duration in seconds as a string. Current default is "5".
Video resolution tier. The current wan2.7-r2v implementation defaults to 1080P. Options: 720P, 1080P.
720P, 1080P Whether to enable prompt optimization. The project forwards this field upstream.
Whether to add a watermark to the generated video.
Random seed in range [0, 2147483647].
Submission successful, returns video task object.
Task unique identifier.
Task ID (same as id).
"video"
Model name used.
Task status.
pending, queued, running, succeeded, failed, cancelled Task progress (percentage).
Unix timestamp of creation time (seconds).